1、执行任务的时候，首先分析任务，然后将该任务分成多个可执行的小任务，一步一步执行。
2、不要启动我项目的服务
3、若是新建项目或者开发新的功能，首先使用context7 MCP服务来寻找对应的文档
4、若是修改业务逻辑等，就不要使用context7 MCP服务来寻找对应的文档，先查看查看前端该功能对应的后端接口，查看后端接口的逻辑，若是已经实现就返回前端处理逻辑，若是后端还们没有实现，则先处理后端在处理前端。
5、若是apply_diff失败或者文件修改编辑失败，就要先保存该文件然后重新读取在做修改再来apply_diff
6、使用filesystem MCP服务